% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/properties-table.R
\name{latex_float}
\alias{latex_float}
\alias{latex_float<-}
\alias{set_latex_float}
\title{Set the position of the table float in LaTeX}
\usage{
latex_float(ht)
latex_float(ht) <- value
set_latex_float(ht, value)
}
\arguments{
\item{ht}{A huxtable.}

\item{value}{A string. Set to \code{NA} to reset to the default, which is
\code{"ht"}.}
}
\value{
\code{latex_float()} returns the \code{latex_float} property.
\code{set_latex_float()} returns the modified huxtable.
}
\description{
Possible values include:
\itemize{
\item "h": here
\item "h!" definitely here
\item "t" top of page
\item "ht" here or at top of page
\item "b" bottom of page
\item "p" page of floats
}
}
\details{
See LaTeX documentation for more details.
}
\examples{

latex_float(jams) <-  "b"
latex_float(jams)
}
