% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/properties-cell.R
\name{na_string}
\alias{na_string}
\alias{na_string<-}
\alias{set_na_string}
\alias{map_na_string}
\title{Change how NA values are printed}
\usage{
na_string(ht)
na_string(ht) <- value
set_na_string(ht, row, col, value )
map_na_string(ht, row, col, fn)
}
\arguments{
\item{ht}{A huxtable.}

\item{row}{A row specifier. See \link{rowspecs} for details.}

\item{col}{An optional column specifier.}

\item{fn}{A mapping function. See \link{mapping-functions} for details.}

\item{value}{A character vector or matrix.

Set to \code{NA} to reset to the default, which is \code{""}.}
}
\value{
\code{na_string()} returns the \code{na_string} property.
\code{set_na_string()} returns the modified huxtable.
}
\description{
NA values in the huxtable are printed as the value of \code{na_string}.
}
\examples{

jams[3, 2] <- NA
jams
set_na_string(jams, "---")

}
\seealso{
Other formatting functions: 
\code{\link{background_color}()},
\code{\link{bold}()},
\code{\link{font_size}()},
\code{\link{font}()},
\code{\link{number_format}()},
\code{\link{text_color}()}
}
\concept{formatting functions}
