% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/properties-table.R
\name{table_environment}
\alias{table_environment}
\alias{table_environment<-}
\alias{set_table_environment}
\title{Set the "table" environment in LaTeX}
\usage{
table_environment(ht)
table_environment(ht) <- value
set_table_environment(ht, value)
}
\arguments{
\item{ht}{A huxtable.}

\item{value}{A string. Set to \code{NA} to reset to the default, which is
\code{"table"}.}
}
\value{
\code{table_environment()} returns the \code{table_environment} property.
\code{set_table_environment()} returns the modified huxtable.
}
\description{
By default this is \code{"table"}.
}
\details{
No features are guaranteed to work if you set this to a non-default
value. Use at your own risk! In particular, you may need to set
\code{\link[=latex_float]{latex_float()}} to a non-default value.

If \code{\link[=position]{position()}} is set to \code{"wrapleft"} or \code{"wrapright"}, this
value is overridden.
}
\examples{

table_environment(jams) <-  "table*"
table_environment(jams)
}
